TAU2OTF(1)

NAME
tau2otf - convert TAU tracefiles to OTF tracefiles for Vampir/VNG

SYNOPSIS

tau2otf [-n streams] [-nomessage] [-v]

DESCRIPTION

This program is generated when TAU is configured with the -otf=<otf_dir> option. The tau2otf trace converter takes a TAU formatted tracefile (*.trc) and a TAU event description file (*.edf) and produces an output trace file in the Open Trace Format (OTF). The user may specify the number of output streams for OTF. The input files and output file must be specified in that order. TAU traces should be merged using tau_merge prior to conversion.

OPTIONS

-n streams Specifies the number of output streams (default is 1). -nomessage Suppresses printing of message information in the trace. -v Verbose mode sends trace event descriptions to the standard output as they are converted.

EXAMPLES

The program must be run with the tau trace, tau event and otf output files specified in the command line in that order. Any additional arguments follow. The following will produced an OTF file, a pp.otf and other related event and definition files, from the TAU trace and event files merged.trc and tau.edf trace file:

tau2otf merged.trc tau.edf app.otf

SEE ALSO

tau2vtf(1), tau2profile(1), vtf2profile(1), tau_merge(1), tau_convert(1)